<template>
    <div @click="update" style="cursor: pointer; width: 100%">
        <div v-if="display == null" style="height: 24px; width: 24px"></div>
        <v-icon v-else-if="display" color="green">mdi-check</v-icon>
        <v-icon v-else color="red">mdi-close</v-icon>
    </div>
</template>

<script>
export default {
    name: "Selector",
    props: {
        value: {
            required: true,
        }
    },
    data: () => ({
        display: null
    }),
    methods: {
        update() {
            switch (this.display) {
                case null:
                    this.display = true;
                    break;
                case true:
                    this.display = false;
                    break;
                case false:
                    this.display = null;
                    break;
            }
            this.$emit("input", this.display);
        }
    },
    mounted() {
        this.display = this.value
    },
}
</script>